from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.technical_analysis.get_indicator(symbol="<value>", resolution=models.BarResolution.THIRTY, indicator=models.TechnicalIndicatorType.RSI, from_=714124, to=669868)
assert res.technical_indicator_response is not None
# Handle response
print(res.technical_indicator_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.technicalAnalysis.getIndicator({
symbol: "<value>",
resolution: "30",
indicator: "rsi",
from: 714124,
to: 669868,
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/indicator \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/indicator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/indicator",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/indicator"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/indicator")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/indicator")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sma": [
0,
0,
74.23916,
73.74833,
73.72416,
70.676666,
70.045,
68.911,
67.41666,
66.802
],
"t": [
1583107200,
1583193600,
1583280000,
1583366400,
1583452800,
1583712000,
1583798400,
1583884800,
1583971200,
1584057600
]
}Technical Indicator Data
Retrieve time-series data for specific technical indicators including SMA, RSI, MACD, and Bollinger Bands. Build custom technical analysis and charting tools.
Use Case: Overlay 50-day and 200-day moving averages on a stock price chart for trend analysis.
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.technical_analysis.get_indicator(symbol="<value>", resolution=models.BarResolution.THIRTY, indicator=models.TechnicalIndicatorType.RSI, from_=714124, to=669868)
assert res.technical_indicator_response is not None
# Handle response
print(res.technical_indicator_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.technicalAnalysis.getIndicator({
symbol: "<value>",
resolution: "30",
indicator: "rsi",
from: 714124,
to: 669868,
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/indicator \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/indicator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/indicator",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/indicator"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/indicator")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/indicator")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sma": [
0,
0,
74.23916,
73.74833,
73.72416,
70.676666,
70.045,
68.911,
67.41666,
66.802
],
"t": [
1583107200,
1583193600,
1583280000,
1583366400,
1583452800,
1583712000,
1583798400,
1583884800,
1583971200,
1584057600
]
}Authorizations
Query Parameters
How long each bar covers. Supported values are minutes (1, 5, 15, 30, 60) or daily/weekly/monthly (D, W, M). Other values return 400 Bad Request with error code VALIDATION_ERROR.
Bar size: minutes (1, 5, 15, 30, 60), or daily, weekly, or monthly (D, W, M).
1, 5, 15, 30, 60, D, W, M Which technical indicator to compute. Common picks: sma (simple moving average), ema (exponential moving average), rsi (relative strength index), macd (moving-average convergence-divergence), bbands (Bollinger Bands). See TechnicalIndicatorType for the full list of supported slugs.
Technical indicator slug (e.g. sma, ema, rsi, macd, bbands). Pass this with the indicator endpoint to compute that indicator over the requested bars.
sma, ema, rsi, macd, bbands, stoch, adx, cci, willr, mfi "rsi"
Was this page helpful?